#
# spec file for package rkdeveloptool
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rkdeveloptool
Version:        0~git.20170425.e5ee8cc
Release:        lp150.4.4
Url:            https://github.com/rockchip-linux/rkdeveloptool
Summary:        Utility for Rockchip SoCs
License:        GPL-2.0+
Group:          System/Boot
Source0:        rkdeveloptool-%{version}.tar.xz
Source10:       99-rkdeveloptool.rules
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(udev)
Requires(post): udev
Requires(postun): udev
%define _udevdir %(pkg-config --variable udevdir udev)
ExcludeArch:    %arm aarch64 ppc ppc64 ppc64le s390x

%description
rkdeveloptool provides ways to read/write rockusb devices.

%prep
%setup -q

%build
autoreconf -i
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} install DESTDIR=%{buildroot}
install -D -m 644 %{SOURCE10} %{buildroot}%{_udevdir}/rules.d/99-rkdeveloptool.rules

%post
%udev_rules_update

%postun
%udev_rules_update

%files
%defattr(-,root,root)
%doc Readme.txt license.txt
%{_bindir}/rkdeveloptool
%{_udevdir}/rules.d/99-rkdeveloptool.rules

%changelog
* Tue May  9 2017 afaerber@suse.de
- Add USB PIDs from http://opensource.rock-chips.com/wiki_Rockusb
* Wed May  3 2017 jengelh@inai.de
- Trim filler words from description
* Mon May  1 2017 afaerber@suse.de
- Add Url tag
- Add 99-rkdeveloptool.rules
* Sun Apr 30 2017 afaerber@suse.de
- Initial
